%define oname		taglib

%define major		1
%define minor		0
%define libname		%mklibname %{oname} %{major}
%define libnametagc	%mklibname %{oname}_c %{minor}
%define develname	%mklibname %{oname} %{major} -d

Summary:	Library for reading and editing audio meta data
Name:		taglib%{major}
Version:	1.13.1
Release:	%mkrel 2
License:	LGPLv2+
Group:		File tools
URL:		https://taglib.org/
Source:		https://taglib.github.io/releases/taglib-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(cppunit)
BuildRequires:	cmake

%description
TagLib, is well, a library for reading and editing audio meta data,
commonly know as tags.

#---------------------------------------------------------------------

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for reading and editing audio meta data

%description -n	%{libname}
Main taglib 1.x library.


%files -n %{libname}
%{_libdir}/libtag.so.%{major}{,.*}

#---------------------------------------------------------------------

%package -n	%{libnametagc}
Group:		System/Libraries
Summary:	A C bindings for taglib 1.x library

%description -n	%{libnametagc}
TagLib, is well, a library for reading and editing audio meta data.

%files -n %{libnametagc}
%{_libdir}/libtag_c.so.%{minor}{,.*}

#---------------------------------------------------------------------

%package -n	%{develname}
Group:		Development/C
Summary:	Headers and other files for taglib 1.x development
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnametagc} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	pkgconfig(taglib) > %{version}
Conflicts:	pkgconfig(taglib_c) > %{version}

%description -n	%{develname}
Install this package if you want do compile applications
using the libtag 1.x library.

%files -n %{develname}
%{_bindir}/taglib-config
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/taglib/
%multiarch %{multiarch_bindir}/taglib-config

#---------------------------------------------------------------------

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
%cmake -DWITH_ASF=ON -DWITH_MP4=ON
%cmake_build

%install
%cmake_install

%multiarch_binaries %{buildroot}%{_bindir}/taglib-config


%changelog
* Mon Oct 07 2024 daviddavid <daviddavid> 1.13.1-2.mga10
+ Revision: 2104030
- fork as taglib1
+ wally <wally>
- new version 1.13.1

* Sat Mar 19 2022 umeabot <umeabot> 1.12-2.mga9
+ Revision: 1799538
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 daviddavid <daviddavid> 1.12-1.mga9
+ Revision: 1693352
- new version: 1.12
- remove merged upstream patches

* Fri Feb 14 2020 umeabot <umeabot> 1.11.1-6.mga8
+ Revision: 1522816
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Feb 08 2019 daviddavid <daviddavid> 1.11.1-5.mga7
+ Revision: 1364210
- add upstream patch to fix possible Ogg packet losses

* Sun Sep 23 2018 umeabot <umeabot> 1.11.1-4.mga7
+ Revision: 1301306
- Mageia 7 Mass Rebuild

* Tue Jun 19 2018 ns80 <ns80> 1.11.1-3.mga7
+ Revision: 1238079
- add patch for CVE-2018-11439 (mga#23178)
+ wally <wally>
- drop old obsoletes and conflicts
- simplify description

* Fri Aug 18 2017 neoclust <neoclust> 1.11.1-2.mga7
+ Revision: 1141429
- Add P0 - Fixes CVE-2017-12678 (mga#21552)

* Tue Nov 08 2016 luigiwalser <luigiwalser> 1.11.1-1.mga6
+ Revision: 1065918
- 1.11.1

* Tue May 17 2016 daviddavid <daviddavid> 1.11-1.mga6
+ Revision: 1016578
- new version: 1.11

* Fri Jan 01 2016 luigiwalser <luigiwalser> 1.10-1.mga6
+ Revision: 917605
- 1.10

* Fri Aug 21 2015 shlomif <shlomif> 1.9.1-5.mga6
+ Revision: 867509
- Rebuild for new libstdc++. Caused VLC crash

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-4.mga5
+ Revision: 744506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 689677
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.9.1-2.mga4
+ Revision: 540490
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 luigiwalser <luigiwalser> 1.9.1-1.mga4
+ Revision: 493724
- 1.9.1 (fixes ABI breakage in 1.9)

* Mon Oct 07 2013 luigiwalser <luigiwalser> 1.9-1.mga4
+ Revision: 492711
- 1.9
- update source URL
- remove patch (fixed differently upstream)
+ fwang <fwang>
- update tarball

* Mon Jan 14 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 384007
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 15 2012 fwang <fwang> 1.8-1.mga3
+ Revision: 294064
- new version 1.8.0

* Mon May 14 2012 luigiwalser <luigiwalser> 1.7.2-1.mga3
+ Revision: 235680
- 1.7.2 (fixes CVE-2012-2396)

* Mon Apr 09 2012 luigiwalser <luigiwalser> 1.7.1-1.mga2
+ Revision: 229792
- 1.7.1 (fixes CVE-2012-1107, CVE-2012-1108, and CVE-2012-1584)
+ fwang <fwang>
- new version 1.7

* Sat Jan 15 2011 ahmad <ahmad> 1.6.3-2.mga1
+ Revision: 19523
- drop old/unneeded conflicts
- imported package taglib

